services:
  joplin-app-1:
    command:
    - yarn
    - start-prod
    container_name: joplin-app-1
    entrypoint:
    - tini
    - --
    environment:
      APP_BASE_URL: http://omv800.tail6ca08d.ts.net:22300
      APP_PORT: '22300'
      DB_CLIENT: pg
      NODE_ENV: production
      NODE_VERSION: 18.20.8
      PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      POSTGRES_DATABASE: joplin
      POSTGRES_HOST: db
      POSTGRES_PASSWORD: '***SENSITIVE_VALUE*** (jopl...)'
      POSTGRES_PORT: '5432'
      POSTGRES_USER: joplin
      RUNNING_IN_DOCKER: '1'
      YARN_VERSION: 1.22.22
    image: joplin/server:latest
    ports:
    - 22300:22300/tcp
    restart: unless-stopped
    user: joplin
    working_dir: /home/joplin/packages/server
